Subject: Επιβολή password κατά τη δημιουργία νέου μηχανήματος

Description

Ο μηχανισμός των Ganeti OS providers επεκτείνεται ώστε να θέτει password στα νέα μηχανήματα που φτιάχνει.

Related issues:

related to Synnefo - Feature # 487: Μηχανισμός επικοινωνίας API <-> Ganeti OS... Closed 05/10/2011

blocks Synnefo - Feature # 489: Δυνατότητα customization μηχανημάτων με βάση ... Closed 05/10/2011

History

#1 - 05/19/2011 01:02 pm - Constantinos Venetsanopoulos

- Target version set to v0.4

#2 - 05/25/2011 12:42 pm - Constantinos Venetsanopoulos

- Status changed from New to Feedback

Όπως αναφέρω στο #487, το Django Layer περνά στον νέο OS Provider (extended Ganeti Instance Image) την παράμετρο img_passwd, η οποία

περιέχει το random generated password που έφτιαξε το Django και πρέπει να γίνει inject στο Image. Επομένως ο OS Provider έχει πλέον στη διάθεση

του το password που πρέπει να κάνει inject.

Έχει υλοποιηθεί ένα hook (bash script) που ονομάζεται "root_passwd", το οποίο τρέχει αφού ο OS Provider έχει ολοκληρώσει το Image deployment

στο block device. To hook βρίσκεται στο /etc/ganeti/instance-image/hooks/root_passwd. To hook αυτό είναι υπέυθυνο να πάρει την παράμετρο

img_passwd και να περάσει το σωστό hash στο /etc/shadow file.

Έχει υλοποιηθεί επίσης το εργαλείο "snf-passtohash.py" (σε python), το οποίο χρησιμοποιείται από το root_passwd για να δημιουργήσει το σωστό

hash. Για την ακρίβεια το εργαλείο αυτό παίρνει 2 παραμέτρους: το password σε cleartext και το hash algorithm, και επιστρέφει τη σωστή γραμμή που

πρέπει να μπει στο shadow file.

Τόσο το root_passwd όσο και το snf-passtohash.py, έχουν ενσωματωθεί στον extended Ganeti Instance Image OS Provider (

http://code.grnet.gr/git/gnt-instance-image) μαζί με ό,τι άλλες αλλαγές ήταν αναγκαίες για τη σωστή ενσωμάτωσή τους. Η εγκατάστασή τους γίνεται

πλέον αυτόματα μαζί με την εγκατάσταση του Ganeti Instance Image. To installation process που χρειάζεται για να λειτουργήσουν περιγράφεται στο

README.deploy (βλέπε #487)

Έχουν τεσταριστεί με επιτυχία στα παρακάτω custom images: debian 6.0.1a desktop, debian lenny debootstrap image, ubuntu 11.04 server, ubuntu

11.04 desktop

#3 - 06/01/2011 11:33 am - Vangelis Koukis

- Status changed from Feedback to Closed

Αυτό έχει δοκιμαστεί και παίζει καλά, το κλείνω και ανοίγουμε κατά περίπτωση ό,τι προκύψει, όποτε προκύψει.

05/13/2024 1/1

http://code.grnet.gr/git/gnt-instance-image

